#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  GSound-1.0.3

- Next

  gnome-backgrounds-41.0

- Up
- Home

# DConf-0.40.0 / DConf-Editor-3.38.3

## Introduction to DConf

The DConf package contains a low-level configuration system. Its main purpose is to provide a backend to GSettings on platforms that don't already have configuration storage systems.

The DConf-Editor, as the name suggests, is a graphical editor for the DConf database. Installation is optional, because gsettings from GLib-2.70.4 provides similar functionality on the commandline.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/dconf/0.40/dconf-0.40.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/dconf/0.40/dconf-0.40.0.tar.xz

- Download MD5 sum: ac8db20b0d6b996d4bbbeb96463d01f0

- Download size: 115 KB

- Estimated disk space required: 7.0 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### Additional Downloads

- Download (HTTP): https://download.gnome.org/sources/dconf-editor/3.38/dconf-editor-3.38.3.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/dconf-editor/3.38/dconf-editor-3.38.3.tar.xz

- Download MD5 sum: 06d64abca0673761cf320145e9977b9c

- Download size: 584 KB

- Estimated disk space required: 37 MB

- Estimated build time: 0.2 SBU

### DConf Dependencies

#### Required

dbus-1.12.20, GLib-2.70.4, GTK+-3.24.31 (for the editor), and libxml2-2.9.13 (for the editor)

#### Recommended

libxslt-1.1.35 and Vala-0.54.7

#### Optional

GTK-Doc-1.33.2 and bash-completion

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/dconf

## Installation of DConf

Install DConf by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr --buildtype=release -Dbash_completion=false .. &&
    ninja

To test the results, issue: ninja test

As the `root` user:

    ninja install

Now, optionally install the editor:

    cd ..              &&
    tar -xf ../dconf-editor-3.38.3.tar.xz &&
    cd dconf-editor-3.38.3                &&

    sed -e '/  desktop,/d' \
        -e '/  appdata,/d' \
        -i editor/meson.build &&

    mkdir build &&
    cd    build &&

    meson --prefix=/usr --buildtype=release .. &&
    ninja

As the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dgtk_doc=true`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

sed -e '/ desktop,/d' ...: This fixes a failure to build with newer versions of meson.

## Contents

Installed Programs: dconf and dconf-editor
Installed Libraries: libdconf.so, and libdconfsettings.so (GIO Module installed in `/usr/lib/gio/modules`)
Installed Directories: /usr/{include,share/gtk-doc/html}/dconf

### Short Descriptions

dconf | is a simple tool for manipulating the DConf database
dconf-editor | is a graphical program for editing the DConf database
`libdconf.so` | contains the DConf client API functions

Last updated on

- Prev

  GSound-1.0.3

- Next

  gnome-backgrounds-41.0

- Up
- Home